### Method

# Gio Settings get_strv

since: 2.26

#### Declaration [src]

    gchar**
    g_settings_get_strv (
      GSettings* settings,
      const gchar* key
    )

#### Description [src]

A convenience variant of `g_settings_get()` for string arrays.

It is a programmer error to give a `key` that isn’t specified as having an `as` type in the schema for `settings` (see `GVariantType`).

Available since: 2.26

#### Parameters

`key`

  Type: `const gchar*`

  The key to get the value for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

A newly-allocated, `NULL`-terminated array of strings, the value that is stored at `key` in `settings`.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.